Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn
Interface HttpRoutedConnection

All Superinterfaces:
  Closeable, HttpConnection, HttpInetConnection

All Known Subinterfaces:
  ManagedClientConnection

All Known Implementing Classes:
  AbstractClientConnAdapter, AbstractPooledConnAdapter, BasicPooledConnAdapter, SingleClientConnManager.ConnAdapter

    public interface HttpRoutedConnection

extends HttpInetConnection

Interface to access routing information of a client side connection.

Since:
  4.1

Method Summary
`HttpRoute` | `getRoute()` Obtains the current route of this connection.
`SSLSession` | `getSSLSession()` Obtains the SSL session of the underlying connection, if any.
`boolean` | `isSecure()` Indicates whether this connection is secure.

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Method Detail

### isSecure

    boolean isSecure()

  Indicates whether this connection is secure. The return value is well-defined only while the connection is open. It may change even while the connection is open.

  Returns:
    `true` if this connection is secure, `false` otherwise

### getRoute

    HttpRoute getRoute()

  Obtains the current route of this connection.

  Returns:
    the route established so far, or `null` if not connected

### getSSLSession

    SSLSession getSSLSession()

  Obtains the SSL session of the underlying connection, if any. If this connection is open, and the underlying socket is an `SSLSocket`, the SSL session of that socket is obtained. This is a potentially blocking operation.
  Note: Whether the underlying socket is an SSL socket can not necessarily be determined via `isSecure()`. Plain sockets may be considered secure, for example if they are connected to a known host in the same network segment. On the other hand, SSL sockets may be considered insecure, for example depending on the chosen cipher suite.

  Returns:
    the underlying SSL session if available, `null` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.